Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class ObjectAttribute.IdentityAccessor

    java.lang.Object
      de.grogra.graph.ObjectAttribute.IdentityAccessor

All Implemented Interfaces:
  AttributeAccessor, ObjectAttributeAccessor<T>

Enclosing class:
  ObjectAttribute<T>

    public class ObjectAttribute.IdentityAccessor

extends java.lang.Object
implements ObjectAttributeAccessor<T>

Constructor Summary
`ObjectAttribute.IdentityAccessor()`

Method Summary
`Attribute<T>` | `getAttribute()`
`Field` | `getField()`
`T` | `getObject(java.lang.Object object, GraphState gs)`
`T` | `getObject(java.lang.Object object, T placeIn, GraphState gs)`
`Type` | `getType()`
`boolean` | `isWritable(java.lang.Object object, GraphState gs)`
`T` | `setObject(java.lang.Object object, T value, GraphState gs)`
`java.lang.Object` | `setSubfield(java.lang.Object object, FieldChain field, int[] indices, java.lang.Object value, GraphState gs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectAttribute.IdentityAccessor

    public ObjectAttribute.IdentityAccessor()

Method Detail

### getAttribute

    public Attribute<T> getAttribute()

  Specified by:
    `getAttribute` in interface `AttributeAccessor`

### getField

    public Field getField()

  Specified by:
    `getField` in interface `AttributeAccessor`

### getObject

    public T getObject(java.lang.Object object,
                       GraphState gs)

  Specified by:
    `getObject` in interface `ObjectAttributeAccessor<T>`

### getObject

    public T getObject(java.lang.Object object,
                       T placeIn,
                       GraphState gs)

  Specified by:
    `getObject` in interface `ObjectAttributeAccessor<T>`

### getType

    public Type getType()

  Specified by:
    `getType` in interface `AttributeAccessor`

### isWritable

    public boolean isWritable(java.lang.Object object,
                              GraphState gs)

  Specified by:
    `isWritable` in interface `AttributeAccessor`

### setObject

    public T setObject(java.lang.Object object,
                       T value,
                       GraphState gs)

  Specified by:
    `setObject` in interface `ObjectAttributeAccessor<T>`

### setSubfield

    public java.lang.Object setSubfield(java.lang.Object object,
                                        FieldChain field,
                                        int[] indices,
                                        java.lang.Object value,
                                        GraphState gs)

  Specified by:
    `setSubfield` in interface `ObjectAttributeAccessor<T>`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD